	try{
		  var mapper = mapperFactory.createMapper("VPrcFilial");
		  if(message.get("obj").get('cdFilial') != null && message.get("obj").get('cdFilial').getClass().toString() != 'class java.util.ArrayList'){
		  	//java.lang.System.out.println("=== TIPO DE DADO === "+message.get("obj").get('cdFilial').getClass().toString());
		  	message.get("obj").put("cdFilial", [message.get("obj").get('cdFilial')]);
		  }
		  
		  var result = mapper.selectList('listarVPrcFilial', message.get("obj"));
		  result;
  	}catch(err){
  		throw err;
  	}